org.opengis.cite.ogcapitiles10.geodatatilesets

## Class GeospatialDataResource

- java.lang.Object
- - org.opengis.cite.ogcapitiles10.CommonFixture
  - - org.opengis.cite.ogcapitiles10.geodatatilesets.GeospatialDataResource

-     public class GeospatialDataResource
      extends CommonFixture

  Updated at the OGC API - Tiles Sprint 2020 by ghobona A.2.2. Landing Page {root}/
  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapitiles10.CommonFixture

      `missing_api_definition_error_message, missing_landing_page_error_message, requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeospatialDataResource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `geospatialResourceTilesetsLinksCheck()` Implements Abstract test A.12: /conf/geodata-tilesets/desc-links Addresses Requirement 13: /req/geodata-tilesets/desc-links
    `void` | `geospatialResourceTilesetsRetrieval()` Implements Abstract test A.13: /conf/geodata-tilesets/operation Addresses Requirement 14: /req/geodata-tilesets/operation

    - ### Methods inherited from class org.opengis.cite.ogcapitiles10.CommonFixture

      `clearMessages, formatLinkURI, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeospatialDataResource

          public GeospatialDataResource()

  - ### Method Detail

    - #### geospatialResourceTilesetsLinksCheck

          public void geospatialResourceTilesetsLinksCheck()

           Implements Abstract test A.12: /conf/geodata-tilesets/desc-links
           Addresses Requirement 13: /req/geodata-tilesets/desc-links

    - #### geospatialResourceTilesetsRetrieval

          public void geospatialResourceTilesetsRetrieval()

           Implements Abstract test A.13: /conf/geodata-tilesets/operation
           Addresses Requirement 14: /req/geodata-tilesets/operation

Copyright © 2024 Open Geospatial Consortium. All rights reserved.